function fnCheckUnChecknew(spanChk, TotalfareID, LabelBaseFareID, TaxFareId, TotalFareWitoutmarkupID, LabelTotalfareWithoutMarkup_Datalist, LabelAgentEarning_Datalist, HiddenField_SelectedFlght_Taxes, flightNumberID, flightAirLineCodeID, FlightNameiD)
 {


    document.getElementById("ctl00_ContentPlaceHolder1_HiddenField_DepartRouteSeleted").value = "True";
    if (document.getElementById("ctl00_ContentPlaceHolder1_HiddenField_Roundtrip").value == "True") {
        document.getElementById("ctl00_ContentPlaceHolder1_divbooking").style.display = 'none';
    }
    else
     {
        document.getElementById("ctl00_ContentPlaceHolder1_divbooking").style.display = 'block';
    }
    
    document.getElementById("ctl00_ContentPlaceHolder1_lbl_totalFare").innerHTML = document.getElementById(TotalfareID).innerHTML;
    document.getElementById("ctl00_ContentPlaceHolder1_LabelBaseFare").innerHTML = document.getElementById(LabelBaseFareID).innerHTML;
    document.getElementById("ctl00_ContentPlaceHolder1_LabelTaxes").innerHTML = document.getElementById(HiddenField_SelectedFlght_Taxes).value;
    document.getElementById("ctl00_ContentPlaceHolder1_LabelTotalfareWithoutMarkup").innerHTML = document.getElementById(LabelTotalfareWithoutMarkup_Datalist).innerHTML;
    document.getElementById("ctl00_ContentPlaceHolder1_LabelAgentEarning").innerHTML = document.getElementById(LabelAgentEarning_Datalist).innerHTML;
    document.getElementById("ctl00_ContentPlaceHolder1_Labelflightname").innerHTML = document.getElementById(FlightNameiD).innerHTML;
    document.getElementById("ctl00_ContentPlaceHolder1_LabelOperatingAirlineCode").innerHTML = document.getElementById(flightAirLineCodeID).innerHTML;
    document.getElementById("ctl00_ContentPlaceHolder1_Labelflightnumber").innerHTML = document.getElementById(flightNumberID).innerHTML;
    document.getElementById("ctl00_ContentPlaceHolder1_LabelTfare").innerHTML = document.getElementById(TotalfareID).innerHTML;
    document.getElementById("ctl00_ContentPlaceHolder1_LabelTotalfareWithoutMarkupShow").innerHTML = document.getElementById(LabelTotalfareWithoutMarkup_Datalist).innerHTML;
    var oItem = spanChk.children;
    var theBox = (spanChk.type == "radio") ?
    spanChk : spanChk.children.item[0];
    xState = theBox.unchecked;
    elm = theBox.form.elements;

    for (i = 0; i < elm.length; i++)
        if (elm[i].type == "radio" &&
elm[i].id != theBox.id) {
        elm[i].checked = xState;
    }

    document.getElementById("ctl00_ContentPlaceHolder1_txt_focus").focus();
}
function hideRows(flightCode,IndexCheckbox) {

   
    
    if (document.getElementById("ctl00_ContentPlaceHolder1_checkbox_AirLineList_" + IndexCheckbox).checked ==false) {
        var table = document.getElementById("sortabletable");
        for (var i = 1, row; row = table.rows[i]; i++) {


            if (i < 10) {
                var j = '0' + i;

            }
            else {
                j = i;

            }


            var flihtCodeSS = document.getElementById("ctl00_ContentPlaceHolder1_rep_InterNationalAir_ctl" + j + "_lbl_flightcode_0").innerHTML;
          
           // flihtCodeSS = flihtCodeSS.replace("-", "");
             flihtCodeSS = flihtCodeSS.substring(0, 2);

            if (flihtCodeSS == flightCode) {

                rowcurrent = table.rows[i].rowIndex;
                table.rows[i].style.display = 'none';





            }


        }



    }
    if (document.getElementById("ctl00_ContentPlaceHolder1_checkbox_AirLineList_" + IndexCheckbox).checked == true) {
        var table = document.getElementById("sortabletable");
        for (var i = 1, row; row = table.rows[i]; i++) {


            if (i < 10) {
                var j = '0' + i;

            }
            else {
                j = i;

            }


            var flihtCodeSS = document.getElementById("ctl00_ContentPlaceHolder1_rep_InterNationalAir_ctl" + j + "_lbl_flightcode_0").innerHTML;
            flihtCodeSS = flihtCodeSS.substring(0, 2);

            if (flihtCodeSS == flightCode) {

                rowcurrent = table.rows[i].rowIndex;
                table.rows[i].style.display = 'block';
                table.rows[i].style.display = '';


            }


        }



    }
    document.getElementById("ctl00_ContentPlaceHolder1_txt_focus").focus();
}

function serachByTime(DepartTime) {
   
    var hours = Math.floor(DepartTime / 4);
    if (hours < 10) {
        var F_hours = '0' + hours;
    }

    else {
        F_hours = hours;
    }

    var minutes = (DepartTime % 4) * 15;

    if (minutes < 10) {
        var F_minutes = '0' + minutes;
    }

    else {
        F_minutes = minutes;
    }
    var table = document.getElementById("sortabletable");
    var SelectedTotalTime = F_hours + ':' + F_minutes;
    var dtSliderTime = new Date("1/1/2007 " + SelectedTotalTime);    
    document.getElementById("ctl00_ContentPlaceHolder1_Label_Slder_SelTime").innerHTML = SelectedTotalTime;
    for (var i = 1, row; row = table.rows[i]; i++) {


        if (i < 10) {
            var j = '0' + i;

        }
        else {
            j = i;

        }
        var Flight_DepartTime = document.getElementById("ctl00_ContentPlaceHolder1_rep_InterNationalAir_ctl" + j + "_Lbl_DepartTime_0").innerHTML;
       var  Flight_DepartTime_New = Flight_DepartTime.split('<');
       Flight_DepartTime_New = Flight_DepartTime_New[0];     
       var Flight = Flight_DepartTime_New.split(' ');
        var Flight_Time = Flight[1];
        var dtFlightDTime = new Date("1/1/2007 " + Flight_Time);
        if (dtSliderTime > dtFlightDTime) {
            rowcurrent = table.rows[i].rowIndex;
            row.style.display = 'none';

        }
        else if(dtSliderTime < dtFlightDTime){
        rowcurrent = table.rows[i].rowIndex;
        row.style.display = 'block';
        row.style.display = '';
        }
        
        

      
    }
    document.getElementById("ctl00_ContentPlaceHolder1_txt_focus").focus();

}
function SearchPrice(fair) {
 
    var table = document.getElementById("sortabletable");
    for (var i = 1, row; row = table.rows[i]; i++) {


        if (i < 10) {
            var j = '0' + i;

        }
        else {
            j = i;

        }

        var Flight_Price = document.getElementById("ctl00_ContentPlaceHolder1_rep_InterNationalAir_ctl" + j + "_LabelTotalFare").innerHTML;        
        if (parseFloat(Flight_Price)>parseFloat(fair) )
        {
            rowcurrent = table.rows[i].rowIndex;
            row.style.display = 'none';
        }
        else if(parseFloat(Flight_Price) < parseFloat(fair)) {

        rowcurrent = table.rows[i].rowIndex;
        row.style.display = 'block';
        row.style.display = '';
        
        }
    }
    document.getElementById("ctl00_ContentPlaceHolder1_txt_focus").focus();
}











// Show and hide Net Fare one  way //


function FareShow_HideNetFareFor_Datalist(currentElement_datalist) {
     
    if (currentElement_datalist == "a_href_showNetFare_Datalist") {
        
        document.getElementById("ctl00_ContentPlaceHolder1_a_href_showNetFare_Datalist").style.display = 'none';        
        document.getElementById("ctl00_ContentPlaceHolder1_a_href_HideNetFare_Datalist").style.display = 'block';
        //document.getElementById("trFullform").style.display = 'block';
        var table = document.getElementById("sortabletable");
        for (var i = 1, row; row = table.rows[i]; i++) {


            if (i < 10) {
                var j = '0' + i;

            }
            else {
                j = i;

            }
            
            document.getElementById("ctl00_ContentPlaceHolder1_rep_InterNationalAir_ctl" + j + "_div_FarewithoutMarkup_agentearning_Datalist").style.display = 'block';



        }



        return false;
    }

    else if (currentElement_datalist == "a_href_HideNetFare_Datalist") {
        document.getElementById("ctl00_ContentPlaceHolder1_a_href_HideNetFare_Datalist").style.display = 'none';
        document.getElementById("ctl00_ContentPlaceHolder1_a_href_showNetFare_Datalist").style.display = 'block';
        //document.getElementById("trFullform").style.display = 'none';


        var table = document.getElementById("sortabletable");
        for (var i = 1, row; row = table.rows[i]; i++) {


            if (i < 10) {
                var j = '0' + i;

            }
            else {
                j = i;

            }

            document.getElementById("ctl00_ContentPlaceHolder1_rep_InterNationalAir_ctl" + j + "_div_FarewithoutMarkup_agentearning_Datalist").style.display = 'none';



        }

        return false;
    }
}




// Show and hide Net Fare of Return Flight //


function FareShow_HideNetFareFor_Return_Datalist(currentElement_datalist) {

    var i, elm;
    var grd = document.getElementById("ctl00_ContentPlaceHolder1_DataListRound");

    var elements = grd.getElementsByTagName("span");

    var count = elements.length;

    if (currentElement_datalist == "a_href_showNetFare_Return_Datalist") {

        document.getElementById("ctl00_ContentPlaceHolder1_a_href_showNetFare_Return_Datalist").style.display = 'none';

        document.getElementById("ctl00_ContentPlaceHolder1_a_href_HideNetFare_Return_Datalist").style.display = 'block';
        document.getElementById("trFullform").style.display = 'block';



        for (i = 0; i <= elements.length - 1; i++) {

            if (i < 10) {
                var j = '0' + i;

            }
            else {
                j = i;

            }

            document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_div_FarewithoutMarkup_agentearning_Return_Datalist").style.display = 'block';



        }



        return false;
    }

    else if (currentElement_datalist == "a_href_HideNetFare_Return_Datalist") {
        document.getElementById("ctl00_ContentPlaceHolder1_a_href_HideNetFare_Return_Datalist").style.display = 'none';
        document.getElementById("ctl00_ContentPlaceHolder1_a_href_showNetFare_Return_Datalist").style.display = 'block';
        document.getElementById("trFullform").style.display = 'none';


        for (i = 0; i <= elements.length - 1; i++) {

            if (i < 10) {
                var j = '0' + i;

            }
            else {
                j = i;

            }

            document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_div_FarewithoutMarkup_agentearning_Return_Datalist").style.display = 'none';



        }

        return false;
    }
}



// Filter According to Airline Code//

function SelectedAirlines(flightCode, checkboxid) {



    document.getElementById("ctl00_ContentPlaceHolder1_txt_focus").focus();

    var grd = document.getElementById("ctl00_ContentPlaceHolder1_DataListOne");

    var rdoArray = grd.getElementsByTagName("span");



    for (i = 0; i <= rdoArray.length - 1; i++) {


        if (i < 10) {
            var j = '0' + i;

        }
        else {
            j = i;

        }


        if (document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_HiddenField_SelectedFlght_OperatingAirlineCode").value == flightCode) {



            if (document.getElementById(checkboxid).checked == true) {


                if (document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_trseperatorline").style.display == 'block') {
                    document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_div_FlightData").style.display = 'block';

                    document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_img_seperator").style.display = 'block';

                    document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_img_seperator").src = "../images/rowseperator.jpg";



                    var m = parseInt(j) + 1;


                    if (m < 10) {
                        var n = '0' + m;

                    }
                    else {
                        n = m;


                    }



                    if (document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + n + "_trseperatorline").style.display == 'none') {


                        document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + n + "_div_FlightData").style.display = 'block';

                        document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + n + "_trseperatorline").style.display = 'none';

                    }

                }
            }


            if (document.getElementById(checkboxid).checked == false) {


                document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_div_FlightData").style.display = 'none';

                document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_img_seperator").style.display = 'none';



                var k = parseInt(j) + 1;


                if (k < 10) {
                    var l = '0' + k;

                }
                else {
                    l = k;

                }



                if (document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + l + "_trseperatorline").style.display == 'none') {


                    document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + l + "_div_FlightData").style.display = 'none';
                    document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + l + "_trseperatorline").style.display = 'none';

                }
            }

        }

    }
}





// Filter According to Airline Code Return Flight//

function SelectedAirlines_Return(flightCode, checkboxid) {



    document.getElementById("ctl00_ContentPlaceHolder1_txt_focus").focus();

    var grd = document.getElementById("ctl00_ContentPlaceHolder1_DataListRound");

    var rdoArray = grd.getElementsByTagName("span");



    for (i = 0; i <= rdoArray.length - 1; i++) {


        if (i < 10) {
            var j = '0' + i;

        }
        else {
            j = i;

        }


        if (document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_HiddenField_Return_SelectedFlght_OperatingAirlineCode").value == flightCode) {



            if (document.getElementById(checkboxid).checked == true) {


                if (document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_trseperatorline").style.display == 'block') {
                    document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_div_FlightData").style.display = 'block';

                    document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_img_seperator").style.display = 'block';

                    document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_img_seperator").src = "../images/rowseperator.jpg";



                    var m = parseInt(j) + 1;


                    if (m < 10) {
                        var n = '0' + m;

                    }
                    else {
                        n = m;


                    }



                    if (document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + n + "_trseperatorline").style.display == 'none') {


                        document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + n + "_div_FlightData").style.display = 'block';

                        document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + n + "_trseperatorline").style.display = 'none';

                    }

                }
            }


            if (document.getElementById(checkboxid).checked == false) {


                document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_div_FlightData").style.display = 'none';

                document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_img_seperator").style.display = 'none';



                var k = parseInt(j) + 1;


                if (k < 10) {
                    var l = '0' + k;

                }
                else {
                    l = k;

                }



                if (document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + l + "_trseperatorline").style.display == 'none') {


                    document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + l + "_div_FlightData").style.display = 'none';
                    document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + l + "_trseperatorline").style.display = 'none';

                }
            }

        }

    }
}







// Filter According to Refundable and Non-Refundable//

function Search_Refundable_Non_Refundable(flightfairStatus, checkboxid) {



    document.getElementById("ctl00_ContentPlaceHolder1_txt_focus").focus();

    var grd = document.getElementById("ctl00_ContentPlaceHolder1_DataListOne");

    var rdoArray = grd.getElementsByTagName("span");



    for (i = 0; i <= rdoArray.length - 1; i++) {


        if (i < 10) {
            var j = '0' + i;

        }
        else {
            j = i;

        }


        if (document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_LabelFlght_Refund_noRefund").innerHTML == flightfairStatus) {



            if (document.getElementById(checkboxid).checked == true) {



                document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_div_FlightData").style.display = 'block';
                document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_img_seperator").style.display = 'block';

                document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_img_seperator").src = "../images/rowseperator.jpg";



                var m = parseInt(j) + 1;


                if (m < 10) {
                    var n = '0' + m;

                }
                else {
                    n = m;


                }



                if (document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + n + "_trseperatorline").style.display == 'none') {






                    document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + n + "_div_FlightData").style.display = 'block';

                    document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + n + "_trseperatorline").style.display = 'none';

                }
            }


            if (document.getElementById(checkboxid).checked == false) {


                document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_div_FlightData").style.display = 'none';
                document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_img_seperator").style.display = 'none';


                var k = parseInt(j) + 1;


                if (k < 10) {
                    var l = '0' + k;

                }
                else {
                    l = k;


                }



                if (document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + l + "_trseperatorline").style.display == 'none') {


                    document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + l + "_div_FlightData").style.display = 'none';
                    document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + l + "_trseperatorline").style.display = 'none';

                }
            }

        }

    }
}





// Filter According to Refundable and Non-Refundable Return Flight//

function Search_Refundable_Non_Refundable_Return(flightfairStatus, checkboxid) {



    document.getElementById("ctl00_ContentPlaceHolder1_txt_focus").focus();

    var grd = document.getElementById("ctl00_ContentPlaceHolder1_DataListRound");

    var rdoArray = grd.getElementsByTagName("span");



    for (i = 0; i <= rdoArray.length - 1; i++) {


        if (i < 10) {
            var j = '0' + i;

        }
        else {
            j = i;

        }


        if (document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_LabelFlght_Refund_noRefund").innerHTML == flightfairStatus) {



            if (document.getElementById(checkboxid).checked == true) {



                document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_div_FlightData").style.display = 'block';
                document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_img_seperator").style.display = 'block';

                document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_img_seperator").src = "../images/rowseperator.jpg";



                var m = parseInt(j) + 1;


                if (m < 10) {
                    var n = '0' + m;

                }
                else {
                    n = m;


                }



                if (document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + n + "_trseperatorline").style.display == 'none') {






                    document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + n + "_div_FlightData").style.display = 'block';

                    document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + n + "_trseperatorline").style.display = 'none';

                }
            }


            if (document.getElementById(checkboxid).checked == false) {


                document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_div_FlightData").style.display = 'none';
                document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_img_seperator").style.display = 'none';


                var k = parseInt(j) + 1;


                if (k < 10) {
                    var l = '0' + k;

                }
                else {
                    l = k;


                }



                if (document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + l + "_trseperatorline").style.display == 'none') {


                    document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + l + "_div_FlightData").style.display = 'none';
                    document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + l + "_trseperatorline").style.display = 'none';

                }
            }

        }

    }
}










// Filter According to Price//

function Search_Price(fair) {



    document.getElementById("ctl00_ContentPlaceHolder1_txt_focus").focus();

    var grd = document.getElementById("ctl00_ContentPlaceHolder1_DataListOne");

    var rdoArray = grd.getElementsByTagName("span");



    for (i = 0; i <= rdoArray.length - 1; i++) {


        if (i < 10) {
            var j = '0' + i;

        }
        else {
            j = i;

        }
        var Flight_fair = document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_LabelTfare").innerHTML;







        if (parseInt(Flight_fair) < parseInt(fair)) {



            document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_div_FlightData").style.display = 'block';

            document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_img_seperator").style.display = 'block';

            document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_img_seperator").src = "../images/rowseperator.jpg";



            var m = parseInt(j) + 1;


            if (m < 10) {
                var n = '0' + m;

            }
            else {
                n = m;


            }



            if (document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + n + "_trseperatorline").style.display == 'none') {






                document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + n + "_div_FlightData").style.display = 'block';

                document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + n + "_trseperatorline").style.display = 'none';

            }
        }




        if (parseInt(Flight_fair) > parseInt(fair)) {


            document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_div_FlightData").style.display = 'none';


            document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_img_seperator").style.display = 'none';


            var k = parseInt(j) + 1;


            if (k < 10) {
                var l = '0' + k;

            }
            else {
                l = k;


            }



            if (document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + l + "_trseperatorline").style.display == 'none') {


                document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + l + "_div_FlightData").style.display = 'none';
                document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + l + "_trseperatorline").style.display = 'none';

            }
        }




    }
}





// Filter According to Price Round Trip//

function Search_Price_Round(fair) {


    document.getElementById("ctl00_ContentPlaceHolder1_txt_focus").focus();

    var grd = document.getElementById("ctl00_ContentPlaceHolder1_DataListRound");

    var rdoArray = grd.getElementsByTagName("span");



    for (i = 0; i <= rdoArray.length - 1; i++) {


        if (i < 10) {
            var j = '0' + i;

        }
        else {
            j = i;

        }
        var Flight_fair = document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_LabelTfare").innerHTML;







        if (parseInt(Flight_fair) < parseInt(fair)) {



            document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_div_FlightData").style.display = 'block';

            document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_img_seperator").style.display = 'block';

            document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_img_seperator").src = "../images/rowseperator.jpg";



            var m = parseInt(j) + 1;


            if (m < 10) {
                var n = '0' + m;

            }
            else {
                n = m;


            }



            if (document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + n + "_trseperatorline").style.display == 'none') {






                document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + n + "_div_FlightData").style.display = 'block';

                document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + n + "_trseperatorline").style.display = 'none';

            }
        }




        if (parseInt(Flight_fair) > parseInt(fair)) {


            document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_div_FlightData").style.display = 'none';


            document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_img_seperator").style.display = 'none';


            var k = parseInt(j) + 1;


            if (k < 10) {
                var l = '0' + k;

            }
            else {
                l = k;


            }



            if (document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + l + "_trseperatorline").style.display == 'none') {


                document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + l + "_div_FlightData").style.display = 'none';
                document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + l + "_trseperatorline").style.display = 'none';

            }
        }




    }
}







// Filter According to Depart Time//



function Search_DepartTime(DepartTime) {


    var hours = Math.floor(DepartTime / 4);
    if (hours < 10) {
        var F_hours = '0' + hours;
    }

    else {
        F_hours = hours;
    }

    var minutes = (DepartTime % 4) * 15;

    if (minutes < 10) {
        var F_minutes = '0' + minutes;
    }

    else {
        F_minutes = minutes;
    }
    var SelectedTotalTime = F_hours + ':' + F_minutes;
    var dtSliderTime = new Date("1/1/2007 " + SelectedTotalTime);


    document.getElementById("ctl00_ContentPlaceHolder1_Label_Slder_SelTime").innerHTML = SelectedTotalTime;


    document.getElementById("ctl00_ContentPlaceHolder1_txt_focus").focus();
    var grd = document.getElementById("ctl00_ContentPlaceHolder1_DataListOne");
    var rdoArray = grd.getElementsByTagName("span");



    for (i = 0; i <= rdoArray.length - 1; i++) {

        if (i < 10) {
            var j = '0' + i;
        }
        else {
            j = i;
        }

        var Flight_DepartTime = document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_LabelDepartTime").innerHTML;
        var dtFlightDTime = new Date("1/1/2007 " + Flight_DepartTime);


        if (dtFlightDTime <= dtSliderTime) {

            if (document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_trseperatorline").style.display == 'block') {
                document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_div_FlightData").style.display = 'block';
                document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_img_seperator").style.display = 'block';
                document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_img_seperator").src = "../images/rowseperator.jpg";


                var m = parseInt(j) + 1;

                if (m < 10) {
                    var n = '0' + m;
                }
                else {
                    n = m;

                }


                if (document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + n + "_trseperatorline").style.display == 'none') {

                    document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + n + "_div_FlightData").style.display = 'block';
                    document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + n + "_trseperatorline").style.display = 'none';

                }
            }
        }



        if (dtFlightDTime > dtSliderTime) {

            if (document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_trseperatorline").style.display == 'block') {
                document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_div_FlightData").style.display = 'none';
                document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + j + "_img_seperator").style.display = 'none';

                var k = parseInt(j) + 1;

                if (k < 10) {
                    var l = '0' + k;

                }
                else {
                    l = k;

                }


                if (document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + l + "_trseperatorline").style.display == 'none') {

                    document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + l + "_div_FlightData").style.display = 'none';
                    document.getElementById("ctl00_ContentPlaceHolder1_DataListOne_ctl" + l + "_trseperatorline").style.display = 'none';

                }
            }
        }



    }
}








// Filter According to Depart Time Return Flight//



function Search_DepartTime_ReturnFlight(DepartTime) {


    var hours = Math.floor(DepartTime / 4);
    if (hours < 10) {
        var F_hours = '0' + hours;
    }

    else {
        F_hours = hours;
    }

    var minutes = (DepartTime % 4) * 15;

    if (minutes < 10) {
        var F_minutes = '0' + minutes;
    }

    else {
        F_minutes = minutes;
    }
    var SelectedTotalTime = F_hours + ':' + F_minutes;
    var dtSliderTime = new Date("1/1/2007 " + SelectedTotalTime);


    document.getElementById("ctl00_ContentPlaceHolder1_Label_Slder_SelTime_ReturnFlight").innerHTML = SelectedTotalTime;


    document.getElementById("ctl00_ContentPlaceHolder1_txt_focus").focus();
    var grd = document.getElementById("ctl00_ContentPlaceHolder1_DataListRound");
    var rdoArray = grd.getElementsByTagName("span");



    for (i = 0; i <= rdoArray.length - 1; i++) {

        if (i < 10) {
            var j = '0' + i;
        }
        else {
            j = i;
        }

        var Flight_DepartTime = document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_LabelDepartTime").innerHTML;
        var dtFlightDTime = new Date("1/1/2007 " + Flight_DepartTime);


        if (dtFlightDTime <= dtSliderTime) {

            if (document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_trseperatorline").style.display == 'block') {
                document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_div_FlightData").style.display = 'block';
                document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_img_seperator").style.display = 'block';
                document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_img_seperator").src = "../images/rowseperator.jpg";


                var m = parseInt(j) + 1;

                if (m < 10) {
                    var n = '0' + m;
                }
                else {
                    n = m;

                }


                if (document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + n + "_trseperatorline").style.display == 'none') {

                    document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + n + "_div_FlightData").style.display = 'block';
                    document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + n + "_trseperatorline").style.display = 'none';

                }
            }
        }



        if (dtFlightDTime > dtSliderTime) {

            if (document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_trseperatorline").style.display == 'block') {
                document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_div_FlightData").style.display = 'none';
                document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + j + "_img_seperator").style.display = 'none';

                var k = parseInt(j) + 1;

                if (k < 10) {
                    var l = '0' + k;

                }
                else {
                    l = k;

                }


                if (document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + l + "_trseperatorline").style.display == 'none') {

                    document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + l + "_div_FlightData").style.display = 'none';
                    document.getElementById("ctl00_ContentPlaceHolder1_DataListRound_ctl" + l + "_trseperatorline").style.display = 'none';

                }
            }
        }



    }
} 
 


   